#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__ovs_vport_ops_register, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_ops_unregister, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_alloc, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_free, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_link, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_tunnel_destroy, "_gpl", "");

SYMBOL_CRC(__ovs_vport_ops_register, 0x9616630a, "_gpl");
SYMBOL_CRC(ovs_vport_ops_unregister, 0x8af16ac8, "_gpl");
SYMBOL_CRC(ovs_vport_alloc, 0x6c413459, "_gpl");
SYMBOL_CRC(ovs_vport_free, 0x55f96c7f, "_gpl");
SYMBOL_CRC(ovs_netdev_link, 0x818ea696, "_gpl");
SYMBOL_CRC(ovs_netdev_tunnel_destroy, 0x94a4923e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x39b86ce8, "nf_ct_ext_add" },
	{ 0x1fcd3e6c, "__skb_get_hash_symmetric" },
	{ 0x6e72b8f6, "nsh_pop" },
	{ 0x32fbf823, "nf_conntrack_find_get" },
	{ 0xdd2faaab, "nf_ct_set_timeout" },
	{ 0x28ce83c9, "dev_get_stats" },
	{ 0x9321151, "__nla_put" },
	{ 0xaa397ecd, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x2c006c6d, "dev_fill_metadata_dst" },
	{ 0x474335f8, "bpf_trace_run4" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x4f941da0, "nf_ct_handle_fragments" },
	{ 0xc3d96d00, "eth_mac_addr" },
	{ 0x2258c69b, "skb_put" },
	{ 0xe3a62e9e, "genl_notify" },
	{ 0x7c81f30d, "nsh_push" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xac117ecd, "consume_skb" },
	{ 0xa3a5be95, "memmove" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x43444435, "nf_ct_nat" },
	{ 0x541526e7, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf002f726, "skb_eth_pop" },
	{ 0xe33fb547, "trace_raw_output_prep" },
	{ 0x1c5391e9, "skb_gso_validate_mac_len" },
	{ 0xd8c23448, "nla_put_64bit" },
	{ 0x784db1ea, "__nf_ct_try_assign_helper" },
	{ 0x86dd708d, "tc_skb_ext_tc_enable" },
	{ 0x581f501f, "nf_ct_helper" },
	{ 0xb59692be, "__skb_ext_del" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0xec5107e9, "trace_event_printf" },
	{ 0xc2c184df, "rtnl_delete_link" },
	{ 0x3be57694, "rtnl_link_register" },
	{ 0x927b622e, "nf_connlabels_put" },
	{ 0xc53f39c7, "genlmsg_put" },
	{ 0xa0c8ac15, "___pskb_trim" },
	{ 0xd43f1bee, "trace_event_raw_init" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x2ba52684, "dev_set_promiscuity" },
	{ 0xcd79a015, "nf_ct_destroy_timeout" },
	{ 0x24c0cd9a, "nf_ct_add_helper" },
	{ 0x73389e70, "nf_conntrack_helper_put" },
	{ 0x218801e9, "netlink_set_err" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x456a25d7, "nf_ct_skb_network_trim" },
	{ 0x88b8c1de, "event_triggers_call" },
	{ 0xd09c5acd, "unregister_netdevice_queue" },
	{ 0x3d32d3b2, "kmem_cache_create" },
	{ 0x27590d91, "skb_pull_rcsum" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0x49672828, "node_states" },
	{ 0x9583f90b, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xa27165e5, "netlink_broadcast_filtered" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x57c80af0, "pskb_expand_head" },
	{ 0xfb15a9f9, "skb_csum_hwoffload_help" },
	{ 0x97f9055, "trace_event_buffer_commit" },
	{ 0x4596739, "nf_connlabels_replace" },
	{ 0x137e53a9, "eth_type_trans" },
	{ 0x4c2287b2, "alloc_netdev_mqs" },
	{ 0xf159bfd0, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x2798627b, "nf_connlabels_get" },
	{ 0xff2d565c, "drop_reasons_unregister_subsys" },
	{ 0x55b7f3a6, "netdev_rx_handler_unregister" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x904a5f07, "trace_event_ignore_this_pid" },
	{ 0x2cfcd91c, "skb_eth_push" },
	{ 0x858ab0a7, "nf_conncount_count" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x22ef4c9d, "__alloc_skb" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xde32c5bc, "kmem_cache_alloc" },
	{ 0x5fa78d21, "skb_mpls_pop" },
	{ 0x562e7d8e, "skb_vlan_pop" },
	{ 0x1fd90f32, "dst_init" },
	{ 0xd7a74148, "module_put" },
	{ 0x6ef84303, "kvmalloc_node" },
	{ 0xe541f71, "__alloc_percpu_gfp" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xa0d3d560, "ksize" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0xe3898d79, "rtnl_link_unregister" },
	{ 0xb7284433, "perf_trace_run_bpf_submit" },
	{ 0xf8470435, "__skb_get_hash" },
	{ 0xc878f161, "init_net" },
	{ 0x6ccc34dd, "sort" },
	{ 0x5d5a17a6, "ipv6_stub" },
	{ 0x6ce4f053, "skb_mpls_update_lse" },
	{ 0xd850dc5e, "skb_pull" },
	{ 0x4dea1053, "memchr" },
	{ 0xc6064b7, "netlink_unicast" },
	{ 0x73cfcbe8, "bpf_trace_run5" },
	{ 0x1538ef3f, "dev_get_by_index_rcu" },
	{ 0x2f515990, "kfree_skb_reason" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x3f295d98, "skb_push" },
	{ 0x2c42619, "kmem_cache_free" },
	{ 0x5567cbd1, "netdev_upper_dev_unlink" },
	{ 0xa9873c4a, "nla_put" },
	{ 0x135096a3, "trace_event_reg" },
	{ 0xffcb7e50, "skb_ensure_writable" },
	{ 0x3e0bb5f3, "free_netdev" },
	{ 0x82d9bfcb, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xa965ca81, "reciprocal_value" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0xa3801265, "unregister_pernet_device" },
	{ 0x2fa5a500, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x52b8623e, "ethtool_op_get_link" },
	{ 0x211b13bf, "__nf_conntrack_confirm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xfe731af8, "nf_ct_invert_tuple" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xc7e76998, "nf_nat_helper_put" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xfade3bcd, "__pskb_pull_tail" },
	{ 0xa10b71d0, "nf_ct_delete" },
	{ 0xd4c6eee3, "nf_conncount_init" },
	{ 0xc1022652, "skb_vlan_push" },
	{ 0xf971d041, "dev_get_tstats64" },
	{ 0xf1d9092d, "netif_rx" },
	{ 0x9741b1e4, "__netdev_alloc_skb" },
	{ 0xa97c50a8, "netdev_master_upper_dev_link" },
	{ 0xa762e3ed, "skb_zerocopy_headlen" },
	{ 0x267dd8e8, "drop_reasons_register_subsys" },
	{ 0x103bafd6, "down_read" },
	{ 0x1770af95, "inet_proto_csum_replace16" },
	{ 0x703be722, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0xd6ac80f, "skb_scrub_packet" },
	{ 0x779d1ea2, "nf_ct_deliver_cached_events" },
	{ 0x5843ed95, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0x415f2961, "skb_tx_error" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xf0143540, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xbc281e3e, "trace_event_buffer_reserve" },
	{ 0xfc8c2ac3, "__skb_checksum" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xe8f76f5f, "inet_proto_csum_replace4" },
	{ 0xe8bc885a, "nf_conncount_destroy" },
	{ 0x55f2580b, "__alloc_percpu" },
	{ 0x9a4d0c8a, "skb_zerocopy" },
	{ 0xe35fb609, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x99d9fdc8, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x25c6eede, "dev_get_by_name" },
	{ 0x3bbdfeb6, "skb_clone" },
	{ 0xd639de8f, "metadata_dst_alloc" },
	{ 0xa17e583e, "dst_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xd21d3c95, "peernet2id_alloc" },
	{ 0x7c06a6d4, "nf_ct_get_tuplepr" },
	{ 0x1de1fc92, "netdev_rx_handler_register" },
	{ 0xc9bd1535, "ip_do_fragment" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x52f4ca4b, "genl_unregister_family" },
	{ 0xafe73bf0, "dev_disable_lro" },
	{ 0xad5ae412, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0x7fc4b6c5, "dev_kfree_skb_any_reason" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xcf29f147, "genl_register_family" },
	{ 0x4a800966, "nf_ct_tmpl_free" },
	{ 0x48a32a57, "netlink_has_listeners" },
	{ 0x332c029, "kmalloc_size_roundup" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0x4dc1415c, "__skb_gso_segment" },
	{ 0x555ccb97, "up_read" },
	{ 0x837db9a0, "skb_mpls_push" },
	{ 0x42d2b8c8, "register_pernet_device" },
	{ 0x73f68368, "nf_conntrack_in" },
	{ 0xcc3f54e5, "net_rwsem" },
	{ 0x7dc5ffa7, "tc_skb_ext_tc_disable" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x3832522f, "__crc32c_le_shift" },
	{ 0xfb8a4037, "kmalloc_caches" },
	{ 0xf68ddd5e, "kmem_cache_alloc_node" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xe6d6be49, "kmem_cache_destroy" },
	{ 0xe038a662, "__skb_vlan_pop" },
	{ 0xbbc18537, "nf_ct_tmpl_alloc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xde92a8a3, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x7f80be1a, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nf_nat,nf_conncount,libcrc32c");


MODULE_INFO(srcversion, "798933BC14164C5D6F67E68");
MODULE_INFO(rhelversion, "9.5");
