#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ibcm_reject_msg, "", "");
KSYMTAB_FUNC(ib_create_cm_id, "", "");
KSYMTAB_FUNC(ib_destroy_cm_id, "", "");
KSYMTAB_FUNC(ib_cm_listen, "", "");
KSYMTAB_FUNC(ib_cm_insert_listen, "", "");
KSYMTAB_FUNC(ib_send_cm_req, "", "");
KSYMTAB_FUNC(ib_send_cm_rep, "", "");
KSYMTAB_FUNC(ib_send_cm_rtu, "", "");
KSYMTAB_FUNC(ib_send_cm_dreq, "", "");
KSYMTAB_FUNC(ib_send_cm_drep, "", "");
KSYMTAB_FUNC(ib_send_cm_rej, "", "");
KSYMTAB_FUNC(ib_send_cm_mra, "", "");
KSYMTAB_FUNC(ib_send_cm_sidr_req, "", "");
KSYMTAB_FUNC(ib_send_cm_sidr_rep, "", "");
KSYMTAB_FUNC(ib_cm_notify, "", "");
KSYMTAB_FUNC(ib_cm_init_qp_attr, "", "");

SYMBOL_CRC(ibcm_reject_msg, 0x69824a14, "");
SYMBOL_CRC(ib_create_cm_id, 0x0b5cbcf6, "");
SYMBOL_CRC(ib_destroy_cm_id, 0x7dab5339, "");
SYMBOL_CRC(ib_cm_listen, 0xb2561523, "");
SYMBOL_CRC(ib_cm_insert_listen, 0x178a5c0f, "");
SYMBOL_CRC(ib_send_cm_req, 0x07fadc9d, "");
SYMBOL_CRC(ib_send_cm_rep, 0x2dd381e0, "");
SYMBOL_CRC(ib_send_cm_rtu, 0x91bba50d, "");
SYMBOL_CRC(ib_send_cm_dreq, 0x95ef0ccf, "");
SYMBOL_CRC(ib_send_cm_drep, 0x9cf37a6b, "");
SYMBOL_CRC(ib_send_cm_rej, 0x1f3dd1b6, "");
SYMBOL_CRC(ib_send_cm_mra, 0xfd663f58, "");
SYMBOL_CRC(ib_send_cm_sidr_req, 0xe5b1f366, "");
SYMBOL_CRC(ib_send_cm_sidr_rep, 0x495f9a66, "");
SYMBOL_CRC(ib_cm_notify, 0x36ccd65a, "");
SYMBOL_CRC(ib_cm_init_qp_attr, 0x7481da54, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x86bf61bb, "ib_unregister_client" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x490398e4, "ib_init_ah_attr_from_path" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xaca0aef0, "complete" },
	{ 0xe33fb547, "trace_raw_output_prep" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xec5107e9, "trace_event_printf" },
	{ 0xd43f1bee, "trace_event_raw_init" },
	{ 0xabe1431b, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x5b3880e, "rdma_query_gid" },
	{ 0x2098687e, "ib_port_register_client_groups" },
	{ 0xf37aff75, "ib_modify_port" },
	{ 0x9fb0725f, "bpf_trace_run2" },
	{ 0x88b8c1de, "event_triggers_call" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x97f9055, "trace_event_buffer_commit" },
	{ 0x1da35910, "rdma_create_ah" },
	{ 0xacbd1531, "ib_init_ah_attr_from_wc" },
	{ 0x2d2dd854, "ib_find_cached_pkey" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x904a5f07, "trace_event_ignore_this_pid" },
	{ 0x5c0f4c97, "ib_register_client" },
	{ 0x2295e36, "ib_unregister_mad_agent" },
	{ 0x7f461bf2, "ib_post_send_mad" },
	{ 0xa54b8e39, "ib_create_send_mad" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0xb7284433, "perf_trace_run_bpf_submit" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0xd6bcee52, "rdma_destroy_ah_attr" },
	{ 0x2d5ab032, "ib_set_client_data" },
	{ 0xae43a8df, "ib_get_cached_pkey" },
	{ 0x5b745a3d, "xa_load" },
	{ 0xd49524bc, "rdma_put_gid_attr" },
	{ 0xd8fea321, "__xa_alloc_cyclic" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x135096a3, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xb84871e7, "bpf_trace_run1" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0x8a0f53eb, "_dev_warn" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x6af2bf00, "rdma_destroy_ah_user" },
	{ 0x3041e99, "ib_free_send_mad" },
	{ 0x8ec414ad, "ib_port_unregister_client_groups" },
	{ 0x99ca74a6, "xa_erase" },
	{ 0x2eaf73bf, "bpf_trace_run3" },
	{ 0xd8954778, "rdma_move_ah_attr" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xbc281e3e, "trace_event_buffer_reserve" },
	{ 0x28bc7123, "rdma_find_gid" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xe35fb609, "kmemdup" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe70e184a, "xa_store" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x19d5bc3f, "ib_free_recv_mad" },
	{ 0x5b3094e8, "ib_register_mad_agent" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0xad5ae412, "kmalloc_trace" },
	{ 0x55519d37, "ib_modify_mad" },
	{ 0xc9938a58, "ib_create_ah_from_wc" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xfb8a4037, "kmalloc_caches" },
	{ 0x7f80be1a, "module_layout" },
};

MODULE_INFO(depends, "ib_core");


MODULE_INFO(srcversion, "5E265B1EAF411CBB3A216C5");
MODULE_INFO(rhelversion, "9.5");
